<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Treap: impl::Iterator&lt; Item, Treap &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Treap
   </div>
   <div id="projectbrief">Implementation of the treap data structure.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceimpl.html">impl</a></li><li class="navelem"><a class="el" href="classimpl_1_1Iterator.html">Iterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classimpl_1_1Iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">impl::Iterator&lt; Item, Treap &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> for the <a class="el" href="classTreap.html" title="Associative container. ">Treap</a> class.  
 <a href="classimpl_1_1Iterator.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Iterator_8hpp_source.html">Iterator.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3ad6c2270c65dd559ecf8ca69d5ee409"><td class="memItemLeft" align="right" valign="top">const Item &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classimpl_1_1Iterator.html#a3ad6c2270c65dd559ecf8ca69d5ee409">operator*</a> () const</td></tr>
<tr class="memdesc:a3ad6c2270c65dd559ecf8ca69d5ee409"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dereference operator.  <a href="#a3ad6c2270c65dd559ecf8ca69d5ee409">More...</a><br /></td></tr>
<tr class="separator:a3ad6c2270c65dd559ecf8ca69d5ee409"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20c4ccfb81e4d403782173e5cef8d9bc"><td class="memItemLeft" align="right" valign="top">const Item *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classimpl_1_1Iterator.html#a20c4ccfb81e4d403782173e5cef8d9bc">operator-&gt;</a> () const</td></tr>
<tr class="memdesc:a20c4ccfb81e4d403782173e5cef8d9bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dereference operator.  <a href="#a20c4ccfb81e4d403782173e5cef8d9bc">More...</a><br /></td></tr>
<tr class="separator:a20c4ccfb81e4d403782173e5cef8d9bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a045254f307e77b00b31ba59527da53c4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classimpl_1_1Iterator.html#a045254f307e77b00b31ba59527da53c4">operator++</a> ()</td></tr>
<tr class="memdesc:a045254f307e77b00b31ba59527da53c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pre-increment.  <a href="#a045254f307e77b00b31ba59527da53c4">More...</a><br /></td></tr>
<tr class="separator:a045254f307e77b00b31ba59527da53c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11bb7899d5fbc7b1b4d11d11978db5e5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classimpl_1_1Iterator.html#a11bb7899d5fbc7b1b4d11d11978db5e5">operator++</a> (int)</td></tr>
<tr class="memdesc:a11bb7899d5fbc7b1b4d11d11978db5e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Post-increment.  <a href="#a11bb7899d5fbc7b1b4d11d11978db5e5">More...</a><br /></td></tr>
<tr class="separator:a11bb7899d5fbc7b1b4d11d11978db5e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16913112776b60627735f9bf7892e828"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classimpl_1_1Iterator.html#a16913112776b60627735f9bf7892e828">operator--</a> ()</td></tr>
<tr class="memdesc:a16913112776b60627735f9bf7892e828"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pre-decrement.  <a href="#a16913112776b60627735f9bf7892e828">More...</a><br /></td></tr>
<tr class="separator:a16913112776b60627735f9bf7892e828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30f4df311e0f0240ec6a6eac8f6a2143"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classimpl_1_1Iterator.html#a30f4df311e0f0240ec6a6eac8f6a2143">operator--</a> (int)</td></tr>
<tr class="memdesc:a30f4df311e0f0240ec6a6eac8f6a2143"><td class="mdescLeft">&#160;</td><td class="mdescRight">Post-decrement.  <a href="#a30f4df311e0f0240ec6a6eac8f6a2143">More...</a><br /></td></tr>
<tr class="separator:a30f4df311e0f0240ec6a6eac8f6a2143"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55d410fc06d4f338d968b24cf0e4cc23"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classimpl_1_1Iterator.html#a55d410fc06d4f338d968b24cf0e4cc23">operator==</a> (const <a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt; &amp;rhs)</td></tr>
<tr class="memdesc:a55d410fc06d4f338d968b24cf0e4cc23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare two Iterators for equality.  <a href="#a55d410fc06d4f338d968b24cf0e4cc23">More...</a><br /></td></tr>
<tr class="separator:a55d410fc06d4f338d968b24cf0e4cc23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1b10e1a5509c5b18f57e090e7657335"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classimpl_1_1Iterator.html#ad1b10e1a5509c5b18f57e090e7657335">operator!=</a> (const <a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt; &amp;rhs)</td></tr>
<tr class="memdesc:ad1b10e1a5509c5b18f57e090e7657335"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare two Iterators for inequality.  <a href="#ad1b10e1a5509c5b18f57e090e7657335">More...</a><br /></td></tr>
<tr class="separator:ad1b10e1a5509c5b18f57e090e7657335"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename Item, typename Treap&gt;<br />
class impl::Iterator&lt; Item, Treap &gt;</h3>

<p><a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> for the <a class="el" href="classTreap.html" title="Associative container. ">Treap</a> class. </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">Item</td><td>Type of objects that the <a class="el" href="classTreap.html" title="Associative container. ">Treap</a> stores. </td></tr>
    <tr><td class="paramname"><a class="el" href="classTreap.html" title="Associative container. ">Treap</a></td><td>Type of the <a class="el" href="classTreap.html" title="Associative container. ">Treap</a> that the <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> is bound to. </td></tr>
  </table>
  </dd>
</dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ad1b10e1a5509c5b18f57e090e7657335"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1b10e1a5509c5b18f57e090e7657335">&#9670;&nbsp;</a></span>operator!=()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Item, typename Treap&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classimpl_1_1Iterator.html">impl::Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compare two Iterators for inequality. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rhs</td><td>Second <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> for the comparison. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the Iterators point to Items with different value of the key, false otherwise </dd></dl>
<dl class="section user"><dt>Complexity</dt><dd>constant </dd></dl>

</div>
</div>
<a id="a3ad6c2270c65dd559ecf8ca69d5ee409"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ad6c2270c65dd559ecf8ca69d5ee409">&#9670;&nbsp;</a></span>operator*()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Item, typename Treap&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const Item&amp; <a class="el" href="classimpl_1_1Iterator.html">impl::Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;::operator* </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dereference operator. </p>
<dl class="section return"><dt>Returns</dt><dd>Reference to an Item that the <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> currently points to. </dd></dl>
<dl class="section user"><dt>Complexity</dt><dd>constant </dd></dl>

</div>
</div>
<a id="a045254f307e77b00b31ba59527da53c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a045254f307e77b00b31ba59527da53c4">&#9670;&nbsp;</a></span>operator++() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Item, typename Treap&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt;Item, <a class="el" href="classTreap.html">Treap</a>&gt;&amp; <a class="el" href="classimpl_1_1Iterator.html">impl::Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;::operator++ </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pre-increment. </p>
<p>Moves the inner pointer of the <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> to the following Item in the <a class="el" href="classTreap.html" title="Associative container. ">Treap</a>. </p><dl class="section return"><dt>Returns</dt><dd>Reference to the incremented <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a>. </dd></dl>
<dl class="section user"><dt>Complexity</dt><dd>average: <img class="formulaInl" alt="$ O(\log n) $" src="form_0.png"/>, worst case: <img class="formulaInl" alt="$ O(n) $" src="form_1.png"/> </dd></dl>

</div>
</div>
<a id="a11bb7899d5fbc7b1b4d11d11978db5e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11bb7899d5fbc7b1b4d11d11978db5e5">&#9670;&nbsp;</a></span>operator++() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Item, typename Treap&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt;Item, <a class="el" href="classTreap.html">Treap</a>&gt; <a class="el" href="classimpl_1_1Iterator.html">impl::Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;::operator++ </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Post-increment. </p>
<p>Moves the inner pointer of the <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> to the following Item in the <a class="el" href="classTreap.html" title="Associative container. ">Treap</a>. </p><dl class="section return"><dt>Returns</dt><dd>Copy of the original <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> that hasn't been incremented. </dd></dl>
<dl class="section user"><dt>Complexity</dt><dd>average: <img class="formulaInl" alt="$ O(\log n) $" src="form_0.png"/>, worst case: <img class="formulaInl" alt="$ O(n) $" src="form_1.png"/> </dd></dl>

</div>
</div>
<a id="a16913112776b60627735f9bf7892e828"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16913112776b60627735f9bf7892e828">&#9670;&nbsp;</a></span>operator--() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Item, typename Treap&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt;Item, <a class="el" href="classTreap.html">Treap</a>&gt;&amp; <a class="el" href="classimpl_1_1Iterator.html">impl::Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;::operator-- </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pre-decrement. </p>
<p>Moves the inner pointer of the <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> to the previous Item in the <a class="el" href="classTreap.html" title="Associative container. ">Treap</a>. </p><dl class="section return"><dt>Returns</dt><dd>Reference to the decremented <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a>. </dd></dl>
<dl class="section user"><dt>Complexity</dt><dd>average: <img class="formulaInl" alt="$ O(\log n) $" src="form_0.png"/>, worst case: <img class="formulaInl" alt="$ O(n) $" src="form_1.png"/> </dd></dl>

</div>
</div>
<a id="a30f4df311e0f0240ec6a6eac8f6a2143"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30f4df311e0f0240ec6a6eac8f6a2143">&#9670;&nbsp;</a></span>operator--() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Item, typename Treap&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt;Item, <a class="el" href="classTreap.html">Treap</a>&gt; <a class="el" href="classimpl_1_1Iterator.html">impl::Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;::operator-- </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Post-decrement. </p>
<p>Moves the inner pointer of the <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> to the previous Item in the <a class="el" href="classTreap.html" title="Associative container. ">Treap</a>. </p><dl class="section return"><dt>Returns</dt><dd>Copy of the original <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> that hasn't been decremented. </dd></dl>
<dl class="section user"><dt>Complexity</dt><dd>average: <img class="formulaInl" alt="$ O(\log n) $" src="form_0.png"/>, worst case: <img class="formulaInl" alt="$ O(n) $" src="form_1.png"/> </dd></dl>

</div>
</div>
<a id="a20c4ccfb81e4d403782173e5cef8d9bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20c4ccfb81e4d403782173e5cef8d9bc">&#9670;&nbsp;</a></span>operator-&gt;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Item, typename Treap&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const Item* <a class="el" href="classimpl_1_1Iterator.html">impl::Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Dereference operator. </p>
<dl class="section return"><dt>Returns</dt><dd>Pointer to an Item that the <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> currently points to. </dd></dl>
<dl class="section user"><dt>Complexity</dt><dd>constant </dd></dl>

</div>
</div>
<a id="a55d410fc06d4f338d968b24cf0e4cc23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55d410fc06d4f338d968b24cf0e4cc23">&#9670;&nbsp;</a></span>operator==()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename Item, typename Treap&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classimpl_1_1Iterator.html">impl::Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt;::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classimpl_1_1Iterator.html">Iterator</a>&lt; Item, <a class="el" href="classTreap.html">Treap</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compare two Iterators for equality. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rhs</td><td>Second <a class="el" href="classimpl_1_1Iterator.html" title="Iterator for the Treap class. ">Iterator</a> for the comparison. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if both Iterators point to an Item with the same value of the key, false otherwise </dd></dl>
<dl class="section user"><dt>Complexity</dt><dd>constant </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/marek/projects/treap/lib/<a class="el" href="Iterator_8hpp_source.html">Iterator.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
